GNU bug report logs - #43149
27.1; Widget text seems to disappear when building with Cairo and Xaw

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Pouar Dragon <pouar@HIDDEN>; merged with #43147, #43148; dated Tue, 1 Sep 2020 04:32:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 43147 43148 43149. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Sep 2020 04:31:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 01 00:31:30 2020
Received: from localhost ([127.0.0.1]:54511 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kCxxB-00016y-CT
	for submit <at> debbugs.gnu.org; Tue, 01 Sep 2020 00:31:30 -0400
Received: from lists.gnu.org ([209.51.188.17]:56014)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <thepouar@HIDDEN>) id 1kCwME-0005he-2E
 for submit <at> debbugs.gnu.org; Mon, 31 Aug 2020 22:49:14 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:32986)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <thepouar@HIDDEN>)
 id 1kCwMD-0004dJ-Qm
 for bug-gnu-emacs@HIDDEN; Mon, 31 Aug 2020 22:49:13 -0400
Received: from mail-oi1-f196.google.com ([209.85.167.196]:38893)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <thepouar@HIDDEN>)
 id 1kCwMB-00014D-MR
 for bug-gnu-emacs@HIDDEN; Mon, 31 Aug 2020 22:49:13 -0400
Received: by mail-oi1-f196.google.com with SMTP id y6so2897360oie.5
 for <bug-gnu-emacs@HIDDEN>; Mon, 31 Aug 2020 19:49:08 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:message-id:date
 :mime-version:content-transfer-encoding;
 bh=0rB7vpnzNkORNfZDam1EDgDNeNseXehLmJYFSsMK7yo=;
 b=lIxFoNm7blGNVWSPpFerjpgLeVrN0sqgUW/LNrhCzqP0QRg0gBPe+S5iMsLPzKRyOL
 eq/CokyEqy4D3ln9ZEiJxtoCoFCTxeuE5LuasRQQxWjkyQiCt8eWdPcuPhVma3dPJdFt
 EuKy3HCs6i8hWvGBQXZqhvXoujT+5lvAZNbdko20nRu4iS7bPdTx2iqrfKsAIay/Jkud
 0iKJd1b5rU3V+ENSCW7ZBIv8bEq27xLJFCbqDfjt+Ik+mEMVJ9QvNGKBqd3JXbas8T3c
 YpduambpcAWlcbYL3x9iPwvy/LA5YFBBZEDAY+4SJaLUOzr5aYv/ZTI925yJo/EwlMQX
 YhxA==
X-Gm-Message-State: AOAM532ORm8izypbOPZ9EEdRrLvf973+wQxWpXhUe6YjbuBGYsVD9yDS
 Y7IJmRyb3cLcoRHpCxZbOlgrOefMuoY=
X-Google-Smtp-Source: ABdhPJwlyIq+BwEXrJIfKdMobxm2aa8Pa8mI3TJ0yShUfCyvHPbhQbzfUCKbhDbVircHDI43xFHGDQ==
X-Received: by 2002:aca:ab07:: with SMTP id u7mr385987oie.115.1598928546997;
 Mon, 31 Aug 2020 19:49:06 -0700 (PDT)
Received: from ArchServer ([2600:1700:f720:fee8:21d:92ff:fe33:9efc])
 by smtp.gmail.com with ESMTPSA id h7sm629261otl.12.2020.08.31.19.49.06
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_CHACHA20_POLY1305_SHA256 bits=256/256);
 Mon, 31 Aug 2020 19:49:06 -0700 (PDT)
Received: from PouarArch (PouarArch [192.168.2.59])
 by ArchServer (OpenSMTPD) with ESMTPS id 43158378
 (TLSv1.2:ECDHE-RSA-CHACHA20-POLY1305:256:NO)
 for <bug-gnu-emacs@HIDDEN>; Tue, 1 Sep 2020 02:49:39 +0000 (UTC)
Received: from localhost (PouarArch [local])
 by PouarArch (OpenSMTPD) with ESMTPA id 48877a1f
 for <bug-gnu-emacs@HIDDEN>; Tue, 1 Sep 2020 02:49:04 +0000 (UTC)
User-agent: mu4e 1.4.1; emacs 27.1
From: Pouar Dragon <pouar@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.1; Widget text seems to disappear when building with Cairo and Xaw
Message-ID: <87bliqnsnv.fsf@HIDDEN>
Date: Mon, 31 Aug 2020 21:49:04 -0500
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=209.85.167.196; envelope-from=thepouar@HIDDEN;
 helo=mail-oi1-f196.google.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/08/31 22:49:07
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -15
X-Spam_score: -1.6
X-Spam_bar: -
X-Spam_report: (-1.6 / 5.0 requ) BAYES_00=-1.9, FREEMAIL_FORGED_FROMDOMAIN=0.25,
 FREEMAIL_FROM=0.001, HEADER_FROM_DIFFERENT_DOMAINS=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, UNPARSEABLE_RELAY=0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 01 Sep 2020 00:31:28 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


widgets when building with Xaw and Cairo seem to have missing text,
looking like this

https://i.imgur.com/YHBmSvh.png


problem seems to go away when 5f4e8e2e088de9fb76cb631077c6eddd3219f594
is reverted


In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo version 1=
.17.3, Xaw3d scroll bars)
 of 2020-08-31 built on PouarArch
Repository revision: 86d8d76aa36037184db0b2897c434cdaab1a9ae8
Repository branch: makepkg
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Arch Linux

Recent messages:
Checking 87 files in /usr/share/emacs/27.1/lisp/calc...
Checking 113 files in /usr/share/emacs/27.1/lisp/obsolete...
Checking for load-path shadows...done
You can run the command =E2=80=98report-emacs-bug=E2=80=99 with M-x r-em RET
Checking for load-path shadows...done
Mark set
Beginning of buffer
Undo [3 times]
C-? is undefined [3 times]
Redo [2 times]

Configured using:
 'configure --prefix=3D/usr --sysconfdir=3D/etc --libexecdir=3D/usr/lib
 --localstatedir=3D/var --with-x-toolkit=3Dlucid --with-xft --with-modules
 --with-imagemagick --with-mailutils --with-cairo --with-rsvg'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG CAIRO IMAGEMAGICK SOUND GPM DBUS
GSETTINGS GLIB NOTIFY INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ
M17N_FLT LIBOTF ZLIB TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM MODULES
THREADS LIBSYSTEMD JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LC_COLLATE: C
  value of $LC_MONETARY: en_US.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=3Dfcitx
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(help-mode pp shadow sort mail-extr emacsbug message rmc puny dired
dired-loaddefs format-spec rfc822 mml easymenu mml-sec password-cache
epa derived epg epg-config gnus-util rmail rmail-loaddefs
text-property-search seq byte-opt gv bytecomp byte-compile cconv
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils time-date subr-x cl-loaddefs cl-lib tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting cairo x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 50575 12154)
 (symbols 48 6210 1)
 (strings 32 16997 2285)
 (string-bytes 1 537126)
 (vectors 16 11058)
 (vector-slots 8 141008 18188)
 (floats 8 25 34)
 (intervals 56 309 88)
 (buffers 1000 14))





Acknowledgement sent to Pouar Dragon <pouar@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#43149; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 1 Sep 2020 09:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.